<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>ChabaProjectGui</class>
 <widget class="QWidget" name="ChabaProjectGui">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>373</width>
    <height>527</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>Graphical editor</string>
  </property>
  <layout class="QHBoxLayout" name="horizontalLayout">
   <property name="leftMargin">
    <number>0</number>
   </property>
   <property name="topMargin">
    <number>0</number>
   </property>
   <property name="rightMargin">
    <number>0</number>
   </property>
   <property name="bottomMargin">
    <number>0</number>
   </property>
   <item>
    <widget class="QScrollArea" name="scrollArea">
     <property name="frameShape">
      <enum>QFrame::NoFrame</enum>
     </property>
     <property name="widgetResizable">
      <bool>true</bool>
     </property>
     <widget class="QWidget" name="scrollAreaWidgetContents">
      <property name="geometry">
       <rect>
        <x>0</x>
        <y>0</y>
        <width>362</width>
        <height>662</height>
       </rect>
      </property>
      <layout class="QFormLayout" name="formLayout">
       <item row="0" column="0">
        <widget class="QLabel" name="label">
         <property name="text">
          <string>Title</string>
         </property>
         <property name="buddy">
          <cstring>editTitle</cstring>
         </property>
        </widget>
       </item>
       <item row="0" column="1">
        <widget class="QLineEdit" name="editTitle">
         <property name="placeholderText">
          <string>Project title</string>
         </property>
        </widget>
       </item>
       <item row="1" column="0">
        <widget class="QLabel" name="label_3">
         <property name="text">
          <string>Output precision</string>
         </property>
         <property name="buddy">
          <cstring>spinPrecision</cstring>
         </property>
        </widget>
       </item>
       <item row="1" column="1">
        <widget class="QSpinBox" name="spinPrecision">
         <property name="maximum">
          <number>7</number>
         </property>
         <property name="value">
          <number>5</number>
         </property>
        </widget>
       </item>
       <item row="2" column="0">
        <widget class="QLabel" name="label_2">
         <property name="text">
          <string>Tolerance (m)</string>
         </property>
         <property name="buddy">
          <cstring>spinTolerance</cstring>
         </property>
        </widget>
       </item>
       <item row="2" column="1">
        <widget class="QDoubleSpinBox" name="spinTolerance">
         <property name="suffix">
          <string> m</string>
         </property>
         <property name="decimals">
          <number>6</number>
         </property>
         <property name="value">
          <double>0.010000000000000</double>
         </property>
        </widget>
       </item>
       <item row="4" column="0" colspan="2">
        <widget class="QGroupBox" name="groupBox">
         <property name="title">
          <string>Calculation parameters</string>
         </property>
         <layout class="QGridLayout" name="gridLayout">
          <item row="0" column="0">
           <widget class="QLabel" name="label_10">
            <property name="text">
             <string>Scale</string>
            </property>
            <property name="buddy">
             <cstring>checkScale</cstring>
            </property>
           </widget>
          </item>
          <item row="0" column="1">
           <widget class="QCheckBox" name="checkScale">
            <property name="text">
             <string>Fixed</string>
            </property>
            <property name="checked">
             <bool>true</bool>
            </property>
           </widget>
          </item>
          <item row="2" column="0">
           <widget class="QLabel" name="label_12">
            <property name="text">
             <string>Translation in Y</string>
            </property>
            <property name="buddy">
             <cstring>checkTrY</cstring>
            </property>
           </widget>
          </item>
          <item row="4" column="0">
           <widget class="QLabel" name="label_14">
            <property name="text">
             <string>Rotation around X</string>
            </property>
            <property name="buddy">
             <cstring>checkRotX</cstring>
            </property>
           </widget>
          </item>
          <item row="0" column="2">
           <widget class="QDoubleSpinBox" name="spinScale">
            <property name="suffix">
             <string> factor</string>
            </property>
            <property name="decimals">
             <number>6</number>
            </property>
            <property name="minimum">
             <double>-1000.000000000000000</double>
            </property>
            <property name="maximum">
             <double>1000.000000000000000</double>
            </property>
            <property name="value">
             <double>1.000000000000000</double>
            </property>
           </widget>
          </item>
          <item row="3" column="0">
           <widget class="QLabel" name="label_13">
            <property name="text">
             <string>Translation in Z</string>
            </property>
            <property name="buddy">
             <cstring>checkTrZ</cstring>
            </property>
           </widget>
          </item>
          <item row="1" column="0">
           <widget class="QLabel" name="label_11">
            <property name="text">
             <string>Translation in X</string>
            </property>
            <property name="buddy">
             <cstring>checkTrX</cstring>
            </property>
           </widget>
          </item>
          <item row="5" column="0">
           <widget class="QLabel" name="label_15">
            <property name="text">
             <string>Rotation around Y</string>
            </property>
            <property name="buddy">
             <cstring>checkRotY</cstring>
            </property>
           </widget>
          </item>
          <item row="6" column="0">
           <widget class="QLabel" name="label_16">
            <property name="text">
             <string>Rotation around Z</string>
            </property>
            <property name="buddy">
             <cstring>checkRotZ</cstring>
            </property>
           </widget>
          </item>
          <item row="1" column="1">
           <widget class="QCheckBox" name="checkTrX">
            <property name="text">
             <string>Fixed</string>
            </property>
           </widget>
          </item>
          <item row="2" column="1">
           <widget class="QCheckBox" name="checkTrY">
            <property name="text">
             <string>Fixed</string>
            </property>
           </widget>
          </item>
          <item row="3" column="1">
           <widget class="QCheckBox" name="checkTrZ">
            <property name="text">
             <string>Fixed</string>
            </property>
           </widget>
          </item>
          <item row="4" column="1">
           <widget class="QCheckBox" name="checkRotX">
            <property name="text">
             <string>Fixed</string>
            </property>
           </widget>
          </item>
          <item row="5" column="1">
           <widget class="QCheckBox" name="checkRotY">
            <property name="text">
             <string>Fixed</string>
            </property>
           </widget>
          </item>
          <item row="6" column="1">
           <widget class="QCheckBox" name="checkRotZ">
            <property name="text">
             <string>Fixed</string>
            </property>
           </widget>
          </item>
          <item row="1" column="2">
           <widget class="QDoubleSpinBox" name="spinTrX">
            <property name="suffix">
             <string> m</string>
            </property>
            <property name="decimals">
             <number>6</number>
            </property>
            <property name="minimum">
             <double>-1000.000000000000000</double>
            </property>
            <property name="maximum">
             <double>1000.000000000000000</double>
            </property>
           </widget>
          </item>
          <item row="2" column="2">
           <widget class="QDoubleSpinBox" name="spinTrY">
            <property name="suffix">
             <string> m</string>
            </property>
            <property name="decimals">
             <number>6</number>
            </property>
            <property name="minimum">
             <double>-1000.000000000000000</double>
            </property>
            <property name="maximum">
             <double>1000.000000000000000</double>
            </property>
           </widget>
          </item>
          <item row="3" column="2">
           <widget class="QDoubleSpinBox" name="spinTrZ">
            <property name="suffix">
             <string> m</string>
            </property>
            <property name="decimals">
             <number>6</number>
            </property>
            <property name="minimum">
             <double>-1000.000000000000000</double>
            </property>
            <property name="maximum">
             <double>1000.000000000000000</double>
            </property>
           </widget>
          </item>
          <item row="4" column="2">
           <widget class="QDoubleSpinBox" name="spinRotX">
            <property name="suffix">
             <string> gons</string>
            </property>
            <property name="decimals">
             <number>6</number>
            </property>
            <property name="minimum">
             <double>-1000.000000000000000</double>
            </property>
            <property name="maximum">
             <double>1000.000000000000000</double>
            </property>
           </widget>
          </item>
          <item row="5" column="2">
           <widget class="QDoubleSpinBox" name="spinRotY">
            <property name="suffix">
             <string> gons</string>
            </property>
            <property name="decimals">
             <number>6</number>
            </property>
            <property name="minimum">
             <double>-1000.000000000000000</double>
            </property>
            <property name="maximum">
             <double>1000.000000000000000</double>
            </property>
           </widget>
          </item>
          <item row="6" column="2">
           <widget class="QDoubleSpinBox" name="spinRotZ">
            <property name="suffix">
             <string> gons</string>
            </property>
            <property name="decimals">
             <number>6</number>
            </property>
            <property name="minimum">
             <double>-1000.000000000000000</double>
            </property>
            <property name="maximum">
             <double>1000.000000000000000</double>
            </property>
           </widget>
          </item>
         </layout>
        </widget>
       </item>
       <item row="5" column="0" colspan="2">
        <widget class="QGroupBox" name="groupBox_2">
         <property name="title">
          <string>Input files</string>
         </property>
         <layout class="QFormLayout" name="formLayout_2">
          <item row="0" column="0">
           <widget class="QLabel" name="label_4">
            <property name="text">
             <string>Active file</string>
            </property>
            <property name="buddy">
             <cstring>editActive</cstring>
            </property>
           </widget>
          </item>
          <item row="0" column="1">
           <widget class="QLineEdit" name="editActive">
            <property name="placeholderText">
             <string>active.act</string>
            </property>
           </widget>
          </item>
          <item row="1" column="0">
           <widget class="QLabel" name="label_5">
            <property name="text">
             <string>Passive File</string>
            </property>
            <property name="buddy">
             <cstring>editPassive</cstring>
            </property>
           </widget>
          </item>
          <item row="1" column="1">
           <widget class="QLineEdit" name="editPassive">
            <property name="placeholderText">
             <string>passive.pas</string>
            </property>
           </widget>
          </item>
         </layout>
        </widget>
       </item>
       <item row="6" column="0" colspan="2">
        <widget class="QGroupBox" name="groupBox_3">
         <property name="title">
          <string>Output files</string>
         </property>
         <layout class="QFormLayout" name="formLayout_3">
          <item row="0" column="0">
           <widget class="QLabel" name="label_6">
            <property name="text">
             <string>Result file</string>
            </property>
            <property name="buddy">
             <cstring>editResult</cstring>
            </property>
           </widget>
          </item>
          <item row="0" column="1">
           <widget class="QLineEdit" name="editResult">
            <property name="placeholderText">
             <string>result.out</string>
            </property>
           </widget>
          </item>
          <item row="1" column="0">
           <widget class="QLabel" name="label_7">
            <property name="text">
             <string>Coo file</string>
            </property>
            <property name="buddy">
             <cstring>editCoo</cstring>
            </property>
           </widget>
          </item>
          <item row="2" column="0">
           <widget class="QLabel" name="label_8">
            <property name="text">
             <string>Punch file</string>
            </property>
            <property name="buddy">
             <cstring>editPunch</cstring>
            </property>
           </widget>
          </item>
          <item row="1" column="1">
           <widget class="QLineEdit" name="editCoo">
            <property name="placeholderText">
             <string>result.coo</string>
            </property>
           </widget>
          </item>
          <item row="2" column="1">
           <widget class="QLineEdit" name="editPunch">
            <property name="placeholderText">
             <string>result.pun</string>
            </property>
           </widget>
          </item>
          <item row="3" column="0">
           <widget class="QLabel" name="label_9">
            <property name="text">
             <string>Log file</string>
            </property>
            <property name="buddy">
             <cstring>editLog</cstring>
            </property>
           </widget>
          </item>
          <item row="3" column="1">
           <widget class="QLineEdit" name="editLog">
            <property name="readOnly">
             <bool>true</bool>
            </property>
            <property name="placeholderText">
             <string>resultLog.log</string>
            </property>
           </widget>
          </item>
         </layout>
        </widget>
       </item>
       <item row="3" column="1">
        <widget class="QSpinBox" name="spinMaxIterations">
         <property name="minimum">
          <number>1</number>
         </property>
         <property name="maximum">
          <number>999</number>
         </property>
         <property name="value">
          <number>50</number>
         </property>
        </widget>
       </item>
       <item row="3" column="0">
        <widget class="QLabel" name="label_17">
         <property name="text">
          <string>Max Iterations</string>
         </property>
         <property name="buddy">
          <cstring>spinTolerance</cstring>
         </property>
        </widget>
       </item>
      </layout>
     </widget>
    </widget>
   </item>
  </layout>
 </widget>
 <tabstops>
  <tabstop>checkScale</tabstop>
  <tabstop>spinScale</tabstop>
  <tabstop>checkTrX</tabstop>
  <tabstop>spinTrX</tabstop>
  <tabstop>checkTrY</tabstop>
  <tabstop>spinTrY</tabstop>
  <tabstop>checkTrZ</tabstop>
  <tabstop>spinTrZ</tabstop>
  <tabstop>checkRotX</tabstop>
  <tabstop>spinRotX</tabstop>
  <tabstop>checkRotY</tabstop>
  <tabstop>spinRotY</tabstop>
  <tabstop>checkRotZ</tabstop>
  <tabstop>spinRotZ</tabstop>
  <tabstop>editActive</tabstop>
  <tabstop>editPassive</tabstop>
  <tabstop>editResult</tabstop>
  <tabstop>editCoo</tabstop>
  <tabstop>editPunch</tabstop>
  <tabstop>editLog</tabstop>
 </tabstops>
 <resources/>
 <connections>
  <connection>
   <sender>spinPrecision</sender>
   <signal>valueChanged(int)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>precisionChanged(int)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>115</x>
     <y>48</y>
    </hint>
    <hint type="destinationlabel">
     <x>52</x>
     <y>32</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>editResult</sender>
   <signal>textEdited(QString)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>resultFileChanged(QString)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>113</x>
     <y>421</y>
    </hint>
    <hint type="destinationlabel">
     <x>43</x>
     <y>385</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>editTitle</sender>
   <signal>editingFinished()</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>152</x>
     <y>16</y>
    </hint>
    <hint type="destinationlabel">
     <x>79</x>
     <y>5</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>spinPrecision</sender>
   <signal>valueChanged(int)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>239</x>
     <y>44</y>
    </hint>
    <hint type="destinationlabel">
     <x>226</x>
     <y>31</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>spinTolerance</sender>
   <signal>valueChanged(double)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>308</x>
     <y>74</y>
    </hint>
    <hint type="destinationlabel">
     <x>293</x>
     <y>58</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>checkScale</sender>
   <signal>stateChanged(int)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>148</x>
     <y>117</y>
    </hint>
    <hint type="destinationlabel">
     <x>134</x>
     <y>85</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>spinScale</sender>
   <signal>valueChanged(double)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>266</x>
     <y>121</y>
    </hint>
    <hint type="destinationlabel">
     <x>256</x>
     <y>85</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>checkTrX</sender>
   <signal>stateChanged(int)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>127</x>
     <y>145</y>
    </hint>
    <hint type="destinationlabel">
     <x>2</x>
     <y>145</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>spinTrX</sender>
   <signal>valueChanged(double)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>327</x>
     <y>146</y>
    </hint>
    <hint type="destinationlabel">
     <x>369</x>
     <y>145</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>checkTrY</sender>
   <signal>stateChanged(int)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>129</x>
     <y>170</y>
    </hint>
    <hint type="destinationlabel">
     <x>4</x>
     <y>177</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>spinTrY</sender>
   <signal>valueChanged(double)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>330</x>
     <y>175</y>
    </hint>
    <hint type="destinationlabel">
     <x>368</x>
     <y>184</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>checkTrZ</sender>
   <signal>stateChanged(int)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>130</x>
     <y>197</y>
    </hint>
    <hint type="destinationlabel">
     <x>4</x>
     <y>210</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>spinTrZ</sender>
   <signal>valueChanged(double)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>316</x>
     <y>203</y>
    </hint>
    <hint type="destinationlabel">
     <x>368</x>
     <y>219</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>checkRotX</sender>
   <signal>stateChanged(int)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>135</x>
     <y>226</y>
    </hint>
    <hint type="destinationlabel">
     <x>2</x>
     <y>247</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>spinRotX</sender>
   <signal>valueChanged(double)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>287</x>
     <y>224</y>
    </hint>
    <hint type="destinationlabel">
     <x>369</x>
     <y>258</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>checkRotY</sender>
   <signal>stateChanged(int)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>144</x>
     <y>257</y>
    </hint>
    <hint type="destinationlabel">
     <x>3</x>
     <y>287</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>spinRotY</sender>
   <signal>valueChanged(double)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>270</x>
     <y>253</y>
    </hint>
    <hint type="destinationlabel">
     <x>369</x>
     <y>297</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>checkRotZ</sender>
   <signal>stateChanged(int)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>127</x>
     <y>276</y>
    </hint>
    <hint type="destinationlabel">
     <x>4</x>
     <y>325</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>spinRotZ</sender>
   <signal>valueChanged(double)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>297</x>
     <y>277</y>
    </hint>
    <hint type="destinationlabel">
     <x>368</x>
     <y>333</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>editActive</sender>
   <signal>editingFinished()</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>168</x>
     <y>333</y>
    </hint>
    <hint type="destinationlabel">
     <x>181</x>
     <y>383</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>editPassive</sender>
   <signal>editingFinished()</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>265</x>
     <y>362</y>
    </hint>
    <hint type="destinationlabel">
     <x>297</x>
     <y>384</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>editResult</sender>
   <signal>editingFinished()</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>289</x>
     <y>417</y>
    </hint>
    <hint type="destinationlabel">
     <x>370</x>
     <y>419</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>editCoo</sender>
   <signal>editingFinished()</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>334</x>
     <y>445</y>
    </hint>
    <hint type="destinationlabel">
     <x>367</x>
     <y>456</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>editPunch</sender>
   <signal>editingFinished()</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>341</x>
     <y>475</y>
    </hint>
    <hint type="destinationlabel">
     <x>369</x>
     <y>492</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>editLog</sender>
   <signal>editingFinished()</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>337</x>
     <y>502</y>
    </hint>
    <hint type="destinationlabel">
     <x>352</x>
     <y>521</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>spinMaxIterations</sender>
   <signal>valueChanged(int)</signal>
   <receiver>ChabaProjectGui</receiver>
   <slot>changesMade()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>230</x>
     <y>115</y>
    </hint>
    <hint type="destinationlabel">
     <x>186</x>
     <y>263</y>
    </hint>
   </hints>
  </connection>
 </connections>
 <slots>
  <slot>precisionChanged(int)</slot>
  <slot>resultFileChanged(QString)</slot>
  <slot>changesMade()</slot>
 </slots>
</ui>
